package com.ssj.service.conch.parents.v1.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2018/11/22
 */
public class HomeworkCommentDto implements Serializable {

    private static final long serialVersionUID = -2791936462093054927L;

    /**
     * 作业批注图片url
     */
    private String homeworkCommentUrl;

    /**
     * 是否含有作文
     */
    private Integer isComposition = 0;

    /**
     * 作文的评语
     */
    private List<String> compositionCommentList = new ArrayList<>();

    /**
     *
     * 作业评语
     */
    private String homeworkComment;

    public String getHomeworkComment() {
        return homeworkComment;
    }

    public void setHomeworkComment(String homeworkComment) {
        this.homeworkComment = homeworkComment;
    }

    public String getHomeworkCommentUrl() {
        return homeworkCommentUrl;
    }

    public void setHomeworkCommentUrl(String homeworkCommentUrl) {
        this.homeworkCommentUrl = homeworkCommentUrl;
    }

    public Integer getIsComposition() {
        return isComposition;
    }

    public void setIsComposition(Integer isComposition) {
        this.isComposition = isComposition;
    }

    public List<String> getCompositionCommentList() {
        return compositionCommentList;
    }

    public void setCompositionCommentList(List<String> compositionCommentList) {
        this.compositionCommentList = compositionCommentList;
    }
}
